{
  "name": "仓储物流管理系统",
  "version": "1.0.0",
  "type": "module",
  "private": true,
  "description": "An out of the box react webpack template,It is simpler, more convenient to customize and more modular on the basis of create-react-app.",
  "author": "xyhxx (603331487@qq.com)",
  "license": "MIT",
  "pnpm": {
    "peerDependencyRules": {
      "ignoreMissing": [
        "eslint",
        "typescript",
        "postcss",
        "jest"
      ]
    }
  },
  "scripts": {
    "dev": "pnpm -F app dev",
    "dev:e2e": "pnpm -F app e2e",
    "build": "pnpm -F app build",
    "test": "pnpm -F app test",
    "test:watch": "pnpm -F app test:watch",
    "test:coverage": "pnpm -F app test:coverage",
    "cypress": "cypress open",
    "cypress:run": "cypress run -b chrome",
    "lint:style": "stylelint packages/app/src *.*.css",
    "lint:js": "eslint . --ext .js,.jsx,.ts,.tsx",
    "lint:style-fix": "pnpm run lint:style --fix",
    "lint:js-fix": "pnpm run lint:script --fix",
    "prettier": "prettier -c --write **/*",
    "prepare": "husky install",
    "postinstall": "husky install",
    "pre-commit": "lint-staged"
  },
  "devDependencies": {
    "@commitlint/cli": "^17.5.1",
    "@commitlint/config-conventional": "^17.4.4",
    "@types/jest": "^29.2.5",
    "@types/node": "^18.11.18",
    "@typescript-eslint/eslint-plugin": "^5.46.1",
    "@typescript-eslint/parser": "^5.46.1",
    "commitizen": "^4.3.0",
    "cz-conventional-changelog": "^3.3.0",
    "eslint": "^8.29.0",
    "eslint-config-prettier": "^8.8.0",
    "eslint-config-proste": "^5.0.0",
    "eslint-plugin-cypress": "^2.12.1",
    "eslint-plugin-import": "^2.27.5",
    "eslint-plugin-import-newlines": "^1.3.0",
    "eslint-plugin-jest": "^27.1.6",
    "eslint-plugin-react": "^7.32.2",
    "eslint-plugin-react-hooks": "^4.6.0",
    "husky": "^8.0.3",
    "ip": "^1.1.8",
    "jest": "^29.3.1",
    "lint-staged": "^13.2.1",
    "postcss": "^8.4.19",
    "prettier": "^2.8.6",
    "stylelint": "^15.3.0",
    "stylelint-config-recess-order": "^4.0.0",
    "stylelint-config-standard": "^31.0.0",
    "typescript": "^4.9.4"
  },
  "dependencies": {
    "cypress": "^12.5.1"
  },
  "config": {
    "commitizen": {
      "path": "./node_modules/cz-conventional-changelog",
      "types": {
        "feat": {
          "description": "A new feature",
          "title": "Features"
        },
        "fix": {
          "description": "A bug fix",
          "title": "Bug Fixes"
        },
        "update": {
          "description": "Modify src files",
          "title": "Updates"
        },
        "chore": {
          "description": "Other changes that don't modify src or test files",
          "title": "Chores"
        },
        "test": {
          "description": "Adding missing tests or correcting existing tests",
          "title": "Tests"
        },
        "style": {
          "description": "Changes that do not affect the meaning of the code (white-space, formatting, missing semi-colons, etc)",
          "title": "Styles"
        },
        "refactor": {
          "description": "A code change that neither fixes a bug nor adds a feature",
          "title": "Code Refactoring"
        },
        "perf": {
          "description": "A code change that improves performance",
          "title": "Performance Improvements"
        },
        "revert": {
          "description": "Reverts a previous commit",
          "title": "Reverts"
        },
        "merge": {
          "description": "Merge  a branch",
          "title": "Merges"
        }
      }
    }
  },
  "lint-staged": {
    "**/*/*.css": [
      "stylelint",
      "prettier --write"
    ],
    "**/*/*.{js,jsx,ts,tsx}": [
      "eslint",
      "prettier --write"
    ]
  }
}